Check out our Monthly Survey Page to see what our users are running.
Nuclear Throne

I got Nuclear Throne as part of the Bundle for Racial Justice and Equality on itch.io. Has anyone got this running on Fedora 32? It complains about missing libssl.so.1.0.0. It is a 32 bit binary. I tried using the libs in Steam's folders. It allowed it to load but it core dumps on start up. I was able to run the windows version under wine but I'd rather run it natively.

RafiLinux 12 Jul

Load it through Lutris. That is how I got it working on Ubuntu Mate 18.04.

Looks like the installer on Lutris isn't doing anything to handle libraries that are missing on Fedora 32. It probably working on Ubuntu Mate 18.04 because it is old or Ubuntu has kept enough compatible libraries around.

I think compat-openssl10 provides the older ssl version needed in Fedora.

I have that but it is not libssl.so.1.0.0. I had a similar problem with Mable and the Wood but was able to fix it by making a symlink from the compat-openssl10 library to the needed name. For Nuclear Throne, it complained:

./runner: /lib/libcrypto.so.1.0.0: version `OPENSSL_1.0.0' not found (required by ./runner)
./runner: /lib/libssl.so.1.0.0: version `OPENSSL_1.0.0' not found (required by ./runner)

While you're here, please consider supporting GamingOnLinux on:

Patreon, Liberapay or PayPal Donation.

We have no adverts, no paywalls, no timed exclusive articles. Just good, fresh content. Without your continued support, we simply could not continue!

You can find even more ways to support us on this dedicated page any time. If you already are, thank you!

You need to Register and Login to comment, submit articles and more.


Or login with...